{ lib, config, ... }:
{
  config = lib.mkIf config.system.desktop.enable {
    hardware.bluetooth = {
      enable = true;
      settings = {
        General.Experimental = "true";
        Policy.AutoEnable = "true";
      };
    };

    systemd.tmpfiles.rules = [ "f /var/lib/systemd/linger/${config.sysusers.main}" ];

    environment.persistence."/persist".directories = [ "/var/lib/bluetooth" ];
  };
}
