{ pkgs, config, lib, ... }:
{
  services.nginx.virtualHosts."chat.${config.domains.p2}" = lib.mkIf config.services.matrix-synapse.enable {
    enableACME = true;
    addSSL = true;
    root = "${pkgs.element-web}";
  };
}
